<?xml version="1.0" encoding="utf-8"?>
<s:TitleWindow xmlns:fx="http://ns.adobe.com/mxml/2009" 
			   xmlns:s="library://ns.adobe.com/flex/spark" 
			   xmlns:mx="library://ns.adobe.com/flex/mx" 
			   width="230" height="200" title="Boletim por Período"
			   creationComplete="titlewindow1_creationCompleteHandler(event)" xmlns:visual="br.com.desenv.framework.component.visual.*" xmlns:component="br.com.desenv.nepalign.view.component.*"
			   close="titlewindow1_closeHandler(event)">
	
	<fx:Declarations>
		<!-- Place non-visual elements (e.g., services, value objects) here -->
	</fx:Declarations>
	<fx:Style source="../../../framework/util/estilo.css"/>
	
	<fx:Script>
		<![CDATA[
			import br.net.upcode.framework.amf.AMFConnector;
			import br.net.upcode.framework.popup.UPCPopUpManager;
			import br.com.desenv.framework.util.DsvObjectUtil;
			import mx.core.FlexGlobals;;
			import mx.collections.ArrayCollection;
			import mx.rpc.events.FaultEvent;
			import mx.rpc.events.ResultEvent;
			import mx.rpc.remoting.mxml.RemoteObject;
			import mx.controls.Alert;
			import flash.net.navigateToURL;
			
			
			import mx.events.CloseEvent;
			import mx.events.FlexEvent;
			import mx.managers.PopUpManager;
			
			
			import mx.validators.Validator;
			
			import br.com.desenv.framework.util.IgnReportUtil;
			
		
			private function validar(event: MouseEvent):Boolean 
			{
				var listaErroValidador:Array = Validator.validateAll(this.listaValidadorForm);
				var validado:Boolean = listaErroValidador.length == 0;
				return validado;
			}
			[Bindable]
			private var listaValidadorForm: Array = new Array();
			
			protected function titlewindow1_creationCompleteHandler(event:FlexEvent):void
			{
					
			}
			
			public function get getStringListEmpresa():String
			{
				var stringBuffer:String = "";
				
				if(this.comboMultipleSelect.getEmpresasSelecionadas.length < 1)
					this.comboMultipleSelect.selecionarTudo();
				
				for(var i:int = 0; i < this.comboMultipleSelect.getEmpresasSelecionadas.length; i++)
				{
					var empresaFisica:Object = this.comboMultipleSelect.getEmpresasSelecionadas.getItemAt(i);
					stringBuffer += empresaFisica.id.toString();
					
					if((i + 1) < this.comboMultipleSelect.getEmpresasSelecionadas.length)
						stringBuffer += ",";
				}
				return stringBuffer;
			}
			
			protected function button1_clickHandler(event:MouseEvent):void
			{
				var listaEmpresa:String = this.getStringListEmpresa;
				
				
				
				var classe:String  = "br.com.desenv.nepalign.relatorios.RelatorioBoletimPeriodo"
				var acaoMethod:String = "gerarRelatorio";
				var urlReq:URLRequest = new URLRequest(FlexGlobals.topLevelApplication.parametrosSistema.getParametro("URL_SERVLET_RELATORIO")); 
				var param:URLVariables = new URLVariables(); 			  
				param.classe = classe;
				param.acao = acaoMethod;
				param.empresas = listaEmpresa == "" ? "0" : listaEmpresa;
				param.tipoRelatorio = 1;
				
				param.dataInicial = dsvPeriodo.dataInicial;		
				param.dataFinal  = dsvPeriodo.dataFinal;		
				
				//urlReq.data = param;
				// //usando método POST  
				//navigateToURL(urlReq, "_blank"); //chama Servlet em uma nova página 
				
				new IgnReportUtil().gerarRelatorioSeguranca(null, "_blank", param);
			}
			
			protected function titlewindow1_closeHandler(event:CloseEvent):void
			{
				// TODO Auto-generated method stub
				UPCPopUpManager.instance.removePopUp(this);
			}
			
		]]>
	</fx:Script>
	
	<mx:Grid x="10" y="10">
		<mx:GridRow>
			<mx:GridItem>
				<mx:VBox>
					<s:Label text="Informe Empresas"/>
					<component:DsvSelecaoMultipliasEmpresas id="comboMultipleSelect" width="230" tipoPesquisa="{DsvSelecaoMultipliasEmpresas.LISTAR_APENAS_LOJAS}"/>
				</mx:VBox>	
			</mx:GridItem>	
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem>
				<visual:DsvPeriodo id="dsvPeriodo"/>
			</mx:GridItem>
		</mx:GridRow>
		<mx:GridRow>
			<mx:GridItem colSpan="4" horizontalAlign="center">
				<s:Button  label="Imprimir" click="button1_clickHandler(event)"/>
			</mx:GridItem>
		</mx:GridRow>
	</mx:Grid>
</s:TitleWindow>
